#include "lapacknames.inc"
      MODULE LA_CLAQHE
!
!  -- LAPACK3E module --
!     E. Anderson
!     May 9, 2002
!     01-15-03:  Renamed from LA_XLAQHE for common source (eca)
!
!  Purpose
!  =======
!
!  LA_CLAQHE defines a generic interface for xLAQHE.
!
      INTERFACE LA_LAQHE
 
      SUBROUTINE CLAQHE( UPLO, N, A, LDA, S, SCOND, AMAX, EQUED )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: UPLO
         CHARACTER, INTENT(OUT) :: EQUED
         INTEGER, INTENT(IN) :: LDA, N
         REAL(WP), INTENT(IN) :: AMAX, SCOND
         REAL(WP), INTENT(IN) :: S(*)
         COMPLEX(WP), INTENT(INOUT) :: A(LDA,*)
      END SUBROUTINE CLAQHE
 
      END INTERFACE ! LA_LAQHE
 
      END MODULE LA_CLAQHE
