#include "lapacknames.inc"
      MODULE LA_SSYGS2
!
!  -- LAPACK3E module --
!     E. Anderson
!     June 07, 2002
!     01-15-03:  Renamed from LA_XSYGS2 for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SSYGS2 defines generic interfaces for xSYGS2.
!
      INTERFACE LA_SYGS2
 
      SUBROUTINE SSYGS2( ITYPE, UPLO, N, A, LDA, B, LDB, INFO )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: UPLO
         INTEGER, INTENT(IN) :: ITYPE, LDA, LDB, N
         INTEGER, INTENT(OUT) :: INFO
         REAL(WP), INTENT(IN) :: B
         REAL(WP), INTENT(INOUT) :: A
      END SUBROUTINE SSYGS2
 
      MODULE PROCEDURE SSYGS2_A2B2
 
      END INTERFACE ! LA_SYGS2
      PRIVATE SSYGS2_A2B2
 
      CONTAINS
!
!-----Natural interface for xSYGS2
!
      SUBROUTINE SSYGS2_A2B2( ITYPE, UPLO, N, A, LDA, B, LDB, INFO )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: UPLO
         INTEGER, INTENT(IN) :: ITYPE, LDA, LDB, N
         INTEGER, INTENT(OUT) :: INFO
         REAL(WP), INTENT(IN) :: B(LDB,*)
         REAL(WP), INTENT(INOUT) :: A(LDA,*)
         CALL SSYGS2( ITYPE, UPLO, N, A(1,1), LDA, B(1,1), LDB, INFO )
      END SUBROUTINE SSYGS2_A2B2
 
      END MODULE LA_SSYGS2
