#include "lapacknames.inc"
      MODULE LA_SCLAPMT
!
!  -- LAPACK3E module --
!     E. Anderson
!     June 18, 2002
!     01-15-03:  Renamed from LA_XLAPMT for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SCLAPMT defines generic interfaces for xLAPMT.
!
      INTERFACE LA_LAPMT
 
      SUBROUTINE SLAPMT( FORWRD, M, N, X, LDX, K )
         USE LA_CONSTANTS, ONLY: WP
         LOGICAL, INTENT(IN) :: FORWRD
         INTEGER, INTENT(IN) :: LDX, M, N
         INTEGER, INTENT(IN) :: K(*)
         REAL(WP), INTENT(INOUT) :: X(LDX,*)
      END SUBROUTINE SLAPMT
 
      SUBROUTINE CLAPMT( FORWRD, M, N, X, LDX, K )
         USE LA_CONSTANTS, ONLY: WP
         LOGICAL, INTENT(IN) :: FORWRD
         INTEGER, INTENT(IN) :: LDX, M, N
         INTEGER, INTENT(IN) :: K(*)
         COMPLEX(WP), INTENT(INOUT) :: X(LDX,*)
      END SUBROUTINE CLAPMT
 
      END INTERFACE ! LA_LAPMT
 
      END MODULE LA_SCLAPMT
