#include "lapacknames.inc"
      MODULE LA_SLARUV
!
!  -- LAPACK3E module --
!     E. Anderson
!     June 04, 2002
!     01-15-03:  Renamed from LA_XLARUV for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SLARUV defines generic interfaces for xLARUV.
!
      INTERFACE LA_LARUV
 
      SUBROUTINE SLARUV( ISEED, N, X )
         USE LA_CONSTANTS, ONLY: WP
         INTEGER, INTENT(IN) :: N
         INTEGER, INTENT(INOUT) :: ISEED(4)
         REAL(WP), INTENT(OUT) :: X
      END SUBROUTINE SLARUV
 
      MODULE PROCEDURE SLARUV_X1
 
      END INTERFACE ! LA_LARUV
      PRIVATE SLARUV_X1
 
      CONTAINS
!
!-----Natural interface for xLARUV
!
      SUBROUTINE SLARUV_X1( ISEED, N, X )
         USE LA_CONSTANTS, ONLY: WP
         INTEGER, INTENT(IN) :: N
         INTEGER, INTENT(INOUT) :: ISEED(4)
         REAL(WP), INTENT(OUT) :: X(*)
         CALL SLARUV( ISEED, N, X(1) )
      END SUBROUTINE SLARUV_X1
 
      END MODULE LA_SLARUV
