#include "lapacknames.inc"
      MODULE LA_SLASY2
!
!  -- LAPACK3E module --
!     E. Anderson
!     June 04, 2002
!     01-15-03:  Renamed from LA_XLASY2 for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SLASY2 defines generic interfaces for xLASY2.
!
      INTERFACE LA_LASY2
 
      SUBROUTINE SLASY2( LTRANL, LTRANR, ISGN, N1, N2, TL, LDTL, TR,
     $                   LDTR, B, LDB, SCALE, X, LDX, XNORM, INFO )
         USE LA_CONSTANTS, ONLY: WP
         LOGICAL, INTENT(IN) :: LTRANL, LTRANR
         INTEGER, INTENT(IN) :: ISGN, LDB, LDTL, LDTR, LDX, N1, N2
         INTEGER, INTENT(OUT) :: INFO
         REAL(WP), INTENT(OUT) :: SCALE, XNORM
         REAL(WP), INTENT(IN) :: B, TL, TR
         REAL(WP), INTENT(OUT) :: X
      END SUBROUTINE SLASY2
 
      MODULE PROCEDURE SLASY2_B2T2X2
 
      END INTERFACE ! LA_LASY2
      PRIVATE SLASY2_B2T2X2
 
      CONTAINS
 
      SUBROUTINE SLASY2_B2T2X2( LTRANL, LTRANR, ISGN, N1, N2, TL, LDTL,
     $                          TR, LDTR, B, LDB, SCALE, X, LDX, XNORM,
     $                          INFO )
         USE LA_CONSTANTS, ONLY: WP
         LOGICAL, INTENT(IN) :: LTRANL, LTRANR
         INTEGER, INTENT(IN) :: ISGN, LDB, LDTL, LDTR, LDX, N1, N2
         INTEGER, INTENT(OUT) :: INFO
         REAL(WP), INTENT(OUT) :: SCALE, XNORM
         REAL(WP), INTENT(IN) :: B(LDB,*), TL(LDTL,*), TR(LDTR,*)
         REAL(WP), INTENT(OUT) :: X(LDX,*)
         CALL SLASY2( LTRANL, LTRANR, ISGN, N1, N2, TL(1,1), LDTL,
     $                TR(1,1), LDTR, B(1,1), LDB, SCALE, X(1,1), LDX,
     $                XNORM, INFO )
      END SUBROUTINE SLASY2_B2T2X2
 
      END MODULE LA_SLASY2
