#include "lapacknames.inc"
      MODULE LA_SORMR3
!
!  -- LAPACK3E module --
!     E. Anderson
!     May 22, 2002
!     01-15-03:  Renamed from LA_XORMR3 for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SORMR3 defines a generic interface for xORMR3
!
      INTERFACE LA_ORMR3
 
      SUBROUTINE SORMR3( SIDE, TRANS, M, N, K, L, A, LDA, TAU, C, LDC,
     $                   WORK, INFO )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: SIDE, TRANS
         INTEGER, INTENT(IN) :: K, L, LDA, LDC, M, N
         INTEGER, INTENT(OUT) :: INFO
         REAL(WP), INTENT(IN) :: A(LDA,*), TAU(*)
         REAL(WP), INTENT(INOUT) :: C(LDC,*)
         REAL(WP), INTENT(OUT) :: WORK(*)
      END SUBROUTINE SORMR3
 
      END INTERFACE ! LA_ORMR3
 
      END MODULE LA_SORMR3
